Bug 120273 - Template manager is displayed using Ctrl + N shortcut when a chart is selected
Summary: Template manager is displayed using Ctrl + N shortcut when a chart is selected
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium trivial
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2018-10-02 16:18 UTC by Xisco Faulí
Modified: 2019-05-03 09:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-02 16:18:32 UTC
Steps to reproduce:
1. Insert a Chart
2. If not selected, double click on ti
3. Press Ctrl + N to open a new document

-> Template manager is displayed

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: e9c1cbce903d325b1e19602d72765511589f5bf2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 1 Buovjaga 2018-10-22 17:47:36 UTC
Repro.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 9a373521d7a328197a4bf9abeb0a981b7acba896
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 19 October 2018
Comment 2 Gabor Kelemen 2019-04-17 06:19:21 UTC
Patch in https://gerrit.libreoffice.org/70857
Comment 3 Commit Notification 2019-04-17 08:43:55 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6607e2915e64e9d371be96632431959e5fd86b76%5E%21

tdf#120273 Ctrl-N should open a new document when a chart is selected

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.